## net.dontdrinkandroot.wicket.model
Class AbstractInjectedLoadableDetachableModel<T>

    java.lang.Object
      org.apache.wicket.model.LoadableDetachableModel<T>
          net.dontdrinkandroot.wicket.model.AbstractInjectedLoadableDetachableModel<T>

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<T>, org.apache.wicket.util.io.IClusterable

    public abstract class AbstractInjectedLoadableDetachableModel<T>

extends org.apache.wicket.model.LoadableDetachableModel<T>

See Also:
  Serialized Form

Constructor Summary
`AbstractInjectedLoadableDetachableModel()`
`AbstractInjectedLoadableDetachableModel(T object)`

Method Summary

Methods inherited from class org.apache.wicket.model.LoadableDetachableModel
`detach, getObject, isAttached, load, onAttach, onDetach, setObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractInjectedLoadableDetachableModel

    public AbstractInjectedLoadableDetachableModel()

### AbstractInjectedLoadableDetachableModel

    public AbstractInjectedLoadableDetachableModel(T object)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.